Creates a new work instruction.
Request Information
URI Parameters :
None.
Body Parameters :
work_instruction| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating work_instruction |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating work_instruction |
sales_organization | |
| job_type_id |
Applicable job_type |
globally unique identifier |
Required |
| job_type_code |
Applicable job_type |
string | |
| equipment_family_id |
Applicable equipment family |
globally unique identifier |
Required |
| equipment_family_code |
Applicable equipment family |
string | |
| skill_ids |
List of only applicable skils |
Collection of globally unique identifier | |
| skill_codes |
List of only applicable skils |
Collection of string | |
| name |
Name of the header of the work instruction. |
string |
Required Max length: 50 |
| description |
Explanation of these instructions for the technician. |
string |
Required Max length: 255 |
| estimated_work_time |
Time needed to complete these instructions. Number in minute. |
integer | |
| additional_information |
Additional information |
string |
Max length: 4000 |
| reference_back_office |
The Id/Ref of the back office for this work instruction. Used by Embedded entity |
string |
Max length: 255 |
| is_required |
If true then all instructions required to be executed |
boolean | |
| is_archived |
Specify if the object is not usable anymore |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
{
"id": "7bced55f-e21d-439e-9179-d8fae96da06d",
"sales_organization_id": "57458437-49b0-420d-b2d8-46998630e1da",
"sales_organization_code": "sample string 3",
"job_type_id": "1efdeef6-58b9-4e3d-b959-676b4d291f8c",
"job_type_code": "sample string 5",
"equipment_family_id": "123f306a-815d-4243-936f-70e815b962ed",
"equipment_family_code": "sample string 7",
"skill_ids": [
"a8fa079b-492d-49be-9a3b-837afb741ad7",
"712a4b7c-ed59-482b-8d99-ed7a175af74c"
],
"skill_codes": [
"sample string 1",
"sample string 2"
],
"name": "sample string 8",
"description": "sample string 9",
"estimated_work_time": 10,
"additional_information": "sample string 11",
"reference_back_office": "sample string 12",
"is_required": true,
"is_archived": true,
"modified_dateutc": "2026-05-25T00:53:44.2790389+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.